{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalString (lib.elem "nvim::lsp::lua" config.machine.pkgs) # lua
  ''
    lspconfig.lua_ls.setup({
      cmd = {"${pkgs.lua-language-server}/bin/lua-language-server"},
      settings = {
        Lua = {
          runtime = {
            version = 'LuaJIT'
          },
          workspace = {
            checkThirdParty = false,
            library = {
                vim.env.VIMRUNTIME
            }
          }
        }
      }
    })
  ''
